package pathgame.gameplay;

import me.hammerle.snuviengine.api.Engine;
import pathgame.rendering.MainMenuRenderer;

public class MainMenu
{

    public enum MenuButtons
    {
        START, OPTIONS, EXIT
    }

    private MenuButtons activeButton = MenuButtons.START;

    public void tick(Gamestate gamestate)
    {

        if(Keys.UP_KEY.isDown() && Keys.UP_KEY.getTime() == 1 || (Keys.UP_KEY.getTime() >= 20 && Keys.UP_KEY.getTime() % 5 == 1))
        {
            
            activeButton = getPrevButton(activeButton);
            //System.out.println(activeButton);
        }
        else if(Keys.DOWN_KEY.isDown() && Keys.DOWN_KEY.getTime() == 1 || (Keys.DOWN_KEY.getTime() >= 20 && Keys.DOWN_KEY.getTime() % 5 == 1))
        {
            activeButton = getNextButton(activeButton);
            System.out.println(activeButton);
        }
        else if(Keys.CONFIRM_KEY.isDown()&& Keys.CONFIRM_KEY.getTime() == 1)
        {
            if(activeButton.equals(MenuButtons.EXIT))
            {
                Engine.stop();
            }
            else if(activeButton.equals(MenuButtons.START))
            {
                gamestate.setState(Gamestates.GAMEPLAY);
            }
        }
    }

    public MenuButtons getActiveButton()
    {
        return activeButton;
    }

    public boolean isActiveButton(MenuButtons button)
    {
        return activeButton.equals(button);
    }

    protected MainMenu.MenuButtons getNextButton(MainMenu.MenuButtons e)
    {
        int index = e.ordinal();
        int nextIndex = index + 1;
        MainMenu.MenuButtons[] btns = MainMenu.MenuButtons.values();
        nextIndex %= btns.length;
        return btns[nextIndex];
    }

    protected MainMenu.MenuButtons getPrevButton(MainMenu.MenuButtons e)
    {
        int index = e.ordinal();
        MainMenu.MenuButtons[] btns = MainMenu.MenuButtons.values();
        int nextIndex = index + btns.length - 1;
        nextIndex %= btns.length;
        return btns[nextIndex];
    }
}
