
package pathgame.rendering;

import me.hammerle.snuviengine.api.Renderer;
import pathgame.gameplay.EscMenu;

public class EscMenuRenderer
{
    public void renderTick(Renderer r, float lag, EscMenu escMenu)
    {
        r.translateTo(0.0f, 0.0f);
        r.scale(2.0f, 2.0f);
        r.updateMatrix();

        renderBackground(r);
        renderButton("Continue", r.getViewHeight() * 0.25f - 20 - r.getFontRenderer().getSize("Continue").getHeight() * 0.5f, escMenu.isActiveButton(EscMenu.EscMenuButtons.CONTINUE), r);
        renderButton("Main Menu", r.getViewHeight() * 0.25f - r.getFontRenderer().getSize("Main Menu").getHeight() * 0.5f, escMenu.isActiveButton(EscMenu.EscMenuButtons.MAINMENU), r);
        renderButton("Exit", r.getViewHeight() * 0.25f + 20 - r.getFontRenderer().getSize("Exit").getHeight() * 0.5f, escMenu.isActiveButton(EscMenu.EscMenuButtons.EXIT), r);
    
        
    }
    
    private void renderButton(String text, float y, boolean active, Renderer r)
    {
        r.setMixColorEnabled(false);
        r.setColorEnabled(true);
        r.setTextureEnabled(true);
        String s = text;
        if(active)
        {
            s = "&f" + s;
        }
        else
        {
            s = "&7" + s;
        }
        r.getFontRenderer().drawString(r.getViewWidth() * 0.25f - (r.getFontRenderer().getSize(s).getWidth() * 0.5f), y, s);
    }

    private void renderBackground(Renderer r)
    {
        r.setMixColorEnabled(true);
        r.setColorEnabled(true);
        r.setTextureEnabled(false);
        r.setBlendingEnabled(true);

        r.getColorRenderer().drawRectangle(r.getViewWidth() * 0.25f - 100, r.getViewHeight() * 0.25f - 50, r.getViewWidth() * 0.25f + 100, r.getViewHeight() * 0.25f + 50, 0x33_00_00_00);//ABGR
    }
}
