package pathgame.rendering;

import me.hammerle.snuviengine.api.Renderer;
import me.hammerle.snuviengine.api.Texture;
import pathgame.gameplay.Player;
import pathgame.tilemap.TileMap;

public class PlayerRenderer
{

    private static final Texture CHARACTER = new Texture("res/character/characterFront.png");
    private static final Texture CHARACTERLEFT = new Texture("res/character/characterLeft.png");
    private static final Texture CHARACTERRIGHT = new Texture("res/character/characterRight.png");
    private static final Texture CHARACTERBACK = new Texture("res/character/characterBack.png");

    public void renderTick(TileMap map, TileMapRenderer mapR, Renderer r, Player p, float lag, float offX, float offY)
    {
        float playerSize = mapR.getScale() * TileRenderer.TILE_SIZE;

        r.setMixColorEnabled(false);
        r.setColorEnabled(false);
        r.setTextureEnabled(true);

        r.translateTo(0.0f, 0.0f);
        r.updateMatrix();

        //TODO: insert animations
        if(p.getVelX() > 0)
        {
            CHARACTERRIGHT.bind();
        }
        else if(p.getVelX() < 0)
        {
            CHARACTERLEFT.bind();
        }
        else if(p.getVelY() > 0)
        {
            CHARACTER.bind();
        }
        else if(p.getVelY() < 0)
        {
            CHARACTERBACK.bind();
        }
        else
        {
            CHARACTER.bind();
        }

        float ix = (p.getLastX() + (p.getX() - p.getLastX()) * lag) * mapR.getScale() * TileRenderer.TILE_SIZE + offX;

        //System.out.println(ix);
        float iy = (p.getLastY() + (p.getY() - p.getLastY()) * lag) * mapR.getScale() * TileRenderer.TILE_SIZE + offY;
        r.getTextureRenderer().drawRectangle(ix, iy, ix + playerSize, iy + playerSize, 0, 0, 1, 1); //TODO: change last 4 texture coordinates for animation 
    }
}
